package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

@Data
public class MgnBoardListModel {

    @ApiParam("产线产量汇总")
    private List<MgnBoardYieldModel> centerYieldList;

    @ApiParam("月度产量汇总")
    private List<MgnBoardYieldModel> monthlyYieldList;

    @ApiParam("当班计划产量")
    private Double shiftPlanYield;

    @ApiParam("当班实际产量")
    private Double shiftActualYield;

    @ApiParam("当前时间分钟")
    private String currentMinTime;

    /**
     * 开班时间到当前时间按分钟累计计划数量
     */
    @ApiParam("每分钟计划产量")
    private Double minPlanYield;

    /**
     * 开班时间到当前时间按分钟累计实际数量
     */
    @ApiParam("每分钟实际产量")
    private Double minActualYield;

    @ApiParam("计划完成率")
    private String planCompleteRate;

    @ApiParam("异常数量")
    private Integer exceptQty;

    @ApiParam("正常数量")
    private Integer normalQty;

}
